import { equals } from 'ramda';
export function getReviewerIds(smeExpert, session) {
    return smeExpert
        ? session.teachingReviewerIds
        : session.conversionReviewerIds;
}
export function getParticipantIds(smeExpert, session) {
    return smeExpert
        ? session.teachingReviewParticipantIds
        : session.conversionReviewParticipantIds;
}
export function isOwner(smeExpert, currentUserId, _a) {
    var teachingOwnerId = _a.teachingOwnerId, conversionOwnerId = _a.conversionOwnerId;
    return smeExpert
        ? teachingOwnerId === currentUserId
        : conversionOwnerId === currentUserId;
}
export function isReviewer(currentUserId, reviewerIds) {
    return (reviewerIds && reviewerIds.length > 0 && reviewerIds.includes(currentUserId));
}
export function isParticipantInReview(currentUserId, participantIds) {
    return (participantIds &&
        participantIds.length > 0 &&
        participantIds.includes(currentUserId));
}
export function isReviewRequested(reviewerIds) {
    return Boolean(reviewerIds && reviewerIds.length > 0);
}
export function allReviewersAreParticipants(reviewerIds, participantIds) {
    return Boolean(reviewerIds &&
        reviewerIds.length > 0 &&
        participantIds &&
        participantIds.length > 0 &&
        equals(participantIds, reviewerIds));
}
